## org.apache.poi.hssf.eventusermodel.dummyrecord
Class MissingCellDummyRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.eventusermodel.dummyrecord.MissingCellDummyRecord

    public final class MissingCellDummyRecord

extends Record

A dummy record for when we're missing a cell in a row, but still want to trigger something

Constructor Summary
`MissingCellDummyRecord(int row, int column)`

Method Summary
`int` `getColumn()`
`int` `getRecordSize()` gives the current serialized size of the record.
`int` `getRow()`
`short` `getSid()` return the non static version of the id for this record.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingCellDummyRecord

    public MissingCellDummyRecord(int row,
                                  int column)

Method Detail

### getRow

    public int getRow()

### getColumn

    public int getColumn()

### getSid

    public final short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `RecordBase`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `RecordBase`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public final int getRecordSize()

  Description copied from class: `RecordBase`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Specified by:
    `getRecordSize` in class `RecordBase`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.